# eth\_getBlockTransactionCountByHash

Returns the number of transactions in a block from a block matching the given block hash.

This method will use `20` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_getblocktransactioncountbyhash)

## **Parameters**

`DATA`, 32 Bytes - hash of a block

```bash
params: ["0x6da3168a95ef9f6134d2bda97c1ef07b4c903cf9726d64433fd3d55e089bd0d2"]
```

## **Returns**

`QUANTITY` - integer of the number of transactions in this block.

```bash
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xb" // 11
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.opbnb.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByHash","params":["0x6da3168a95ef9f6134d2bda97c1ef07b4c903cf9726d64433fd3d55e089bd0d2"],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.opbnb.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByHash","params":["0x0cded9ac9b75837367ddcf2af8cec8a1608d7b1c375d85ca0bae73885f1c1e1f"],"id":1}'

```

{% endtab %}
{% endtabs %}
